package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;

import java.util.Date;
import java.util.Map;

/**
 * @author nianchang
 * @ClassName OperateOrderCommentDTO
 * @date 2021/05/12 5:27 下午
 */
public class OperateOrderItemCommentDTO {

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * skuId
     */
    private String itemId;

    /**
     * 是否匿名 0:否 1:是
     */
    private Integer anonymous;

    /**
     * 商家是否回复 0:未回复 1:已回复
     */
    private Integer sellerReply;

    /**
     * 商家回复信息
     */
    private String sellerReplyInfo;

    /**
     * 商家回复时间
     */
    private Date replyAt;

    /**
     * 是否隐藏评论 0:不隐藏 1:隐藏
     */
    private Integer hide;

    /**
     * 是否同步到种草
     */
    private Integer shares;

    /**
     * 扩展信息(不同key追加，相同key覆盖)
     */
    private Map<String, Object> extraMap;

    /**
     * 初次创建
     */
    private Integer firstCreate;

    /**
     * 评价级别
     * @see
     */
    private Integer commentLevel;

    /**
     * 操作人
     */
    private Long operator;

    /**
     * 操作类型
     */
    private String operation;

    /**
     * 角色
     * @see
     */
    private Integer role;

    public Long getOperator() {
        return operator;
    }

    public void setOperator(Long operator) {
        this.operator = operator;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public Integer getRole() {
        return role;
    }

    public void setRole(Integer role) {
        this.role = role;
    }

    public Integer getCommentLevel() {
        return commentLevel;
    }

    public void setCommentLevel(Integer commentLevel) {
        this.commentLevel = commentLevel;
    }

    public Integer getFirstCreate() {
        return firstCreate;
    }

    public void setFirstCreate(Integer firstCreate) {
        this.firstCreate = firstCreate;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public Integer getAnonymous() {
        return anonymous;
    }

    public void setAnonymous(Integer anonymous) {
        this.anonymous = anonymous;
    }

    public Integer getSellerReply() {
        return sellerReply;
    }

    public void setSellerReply(Integer sellerReply) {
        this.sellerReply = sellerReply;
    }

    public String getSellerReplyInfo() {
        return sellerReplyInfo;
    }

    public void setSellerReplyInfo(String sellerReplyInfo) {
        this.sellerReplyInfo = sellerReplyInfo;
    }

    public Date getReplyAt() {
        return replyAt;
    }

    public void setReplyAt(Date replyAt) {
        this.replyAt = replyAt;
    }

    public Integer getHide() {
        return hide;
    }

    public void setHide(Integer hide) {
        this.hide = hide;
    }

    public Integer getShares() {
        return shares;
    }

    public void setShares(Integer shares) {
        this.shares = shares;
    }

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
